# Poco

# class MemoryOutputStream

Library: Foundation
Package: Streams
Header: Poco/MemoryStream.h

## Description

An input stream for reading from a memory area.

## Inheritance

Direct Base Classes: MemoryIOS, std::ostream

All Base Classes: MemoryIOS, std::ios, std::ostream

## Member Summary

Member Functions: charsWritten

Inherited Functions: rdbuf

## Constructors

### MemoryOutputStream

MemoryOutputStream(
char * pBuffer,
std::streamsize bufferSize
);

Creates a MemoryOutputStream for the given memory area, ready for writing.

## Destructor

### ~MemoryOutputStream

~MemoryOutputStream();

Destroys the MemoryInputStream.

## Member Functions

### charsWritten

std::streamsize charsWritten() const;

Returns the number of chars written to the buffer.